petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerASCIISynchronizedPrintf

Prints synchronized output to the specified file from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIISynchronizedPrintf(PetscViewer viewer,const char format[],...)

Not Collective, must call collective PetscViewerFlush() to get the results out

### Input Parameters

| viewer | - the ASCII PetscViewer
| format | - the usual printf() format string

Notes: You must have previously called PetscViewerASCIISynchronizeAllow() to allow this routine to be called.

### Fortran Note

Can only print a single character* string

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(), PetscFPrintf(),
PetscFOpen(), PetscViewerFlush(), PetscViewerASCIIGetPointer(), PetscViewerDestroy(), PetscViewerASCIIOpen(), PetscViewerASCIIPrintf(), PetscViewerASCIIPushSynchronized()

Level:intermediate
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages